
#!/usr/bin/env python
# -*- encoding: utf-8 -*-
'''
@Contact :   liuyuqi.gov@msn.cn
@Time    :   2023/03/08 17:39:34
@License :   Copyright © 2017-2022 liuyuqi. All Rights Reserved.
@Desc    :   enter point
searchdomain generate --lang zh --keyword go --position prefix
searchdomain search --
'''

from searchdomain import SearchDomain, GenerateDomain, GenerateEnDomain
from searchdomain.options import parse_args
import sys

if __name__== "__main__":
    args = parse_args()
    if args.get("command","")=="generate":
        if args.get("lang","en"):
            generateDomain = GenerateEnDomain() 
        elif args.get("lang", "zh"):
            generateDomain = GenerateDomain()
        generateDomain.run()
    elif args.get("command","")=="search":
        serachdomain = SearchDomain(debug=True, export_all=False) 
        serachdomain.run()
    elif args.get("command","")=="version":
        # print(__verison__)
        pass
    else:
        print("please input command: generate, search")
        print(args.get('command',""))
        sys.exit(1)